%global momorel 8

Summary: A C++ API to the PostgreSQL database management system
Name: libpqxx
Version: 3.1
Release: %{momorel}m%{?dist}
License: BSD
Group: System Environment/Libraries
URL: http://pqxx.tk/
Source0: http://pqxx.org/download/software/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: libpqxx-3.1-gcc46.patch
Patch2: configure-sed-option.patch
BuildRequires: postgresql-devel >= 8.2.3
BuildRequires: pkgconfig

%description
hat libpqxx brings you is effective use of templates to reduce the inconvenience of
dealing with type conversions; of standard C++ strings to keep you from having
to worry about buffer allocation and overflow attacks; of exceptions to take
the tedious and error-prone plumbing around error handling out of your hands;
of constructors and destructors to bring resource management under control; and
even basic object-orientation to give you some extra reliability features that
would be hard to get with most other database interfaces.

%package devel
Summary: Libraries, includes, etc. to develop PostgreSQL applications in C++
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: postgresql-devel

%description devel
Libraries, include files, etc you can use to develop PostgreSQL applications in C++.

%prep
%setup -q

%patch1 -p1 -b .gcc46~
%patch2 -p1 -b .configure

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags} -fpermissive -Wno-deprecated -std=gnu++98" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--enable-shared \
	--enable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_libdir}/%{name}-%{version}.so

%files devel
%defattr(-, root, root)
%{_bindir}/pqxx-config
%{_includedir}/pqxx
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.a
%{_libdir}/%{name}.so

%changelog
* Tue May 16 2017 Masanobu Sato <satochiga@momonga-linux.org>
- (3.1-8m)
- add patch of configure

* Tue May 16 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1-7m)
- fix build by gcc7

* Mon Aug 16 2016 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.1-6m)
- add -fpermissive for build

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1-5m)
- rebuild for new GCC 4.6

* Sun Feb 13 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1-4m)
- add patch for gcc46, generated by gen46patch

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1-3m)
- rebuild for new GCC 4.5

* Sat Sep 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-2m)
- update to 3.1 again
- NoSource

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.8-8m)
- full rebuild for mo7 release

* Sun Aug  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-7m)
- revert to version 2.6.8 for koffice

* Sun Apr  4 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1-1m)
- version 3.1
- remove visibility.patch and merged gcc43.patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.8-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.8-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.8-4m)
- rebuild against gcc43

* Tue Jan  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.6.8-4m)
- add patch for gcc43

* Fri Mar 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-3m)
- No NoSource

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-2m)
- rebuild against postgresql-8.2.3

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-1m)
- version 2.6.8
- import visibility.patch from Fedora Core extras devel
 +* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-1
 +- fc6+: drop -Werror (for now) 
- get rid of *.la files

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.5.5-1m)
- initial package for koffice-1.5
